modem-manager crashed with SIGSEGV in g_source_remove()

Bug #1083659 reported by Nobuto Murata on 2012-11-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ModemManager
Fix Released
Medium
modemmanager (Ubuntu)
Medium
Mathieu Trudel-Lapierre
Precise
Medium
Unassigned
Quantal
Medium
Unassigned

Bug Description

modem-manager crashed with SIGSEGV in g_source_remove()

How to reproduce:
 1. attach au/huawei DATA07 USB modem.
 2. click "Enable Mobile Broadband" in network-manager indicator
 3. create "au(KDDI) connection" under Japan region with the wizard, then connect it.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: modemmanager 0.6.0.0.really-0ubuntu2
ProcVersionSignature: Ubuntu 3.7.0-3.9-generic 3.7.0-rc6
Uname: Linux 3.7.0-3-generic x86_64
ApportVersion: 2.6.2-0ubuntu5
Architecture: amd64
CasperVersion: 1.329
Date: Tue Nov 27 16:06:41 2012
LiveMediaBuild: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20121126)
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: modemmanager
UpgradeStatus: No upgrade log present (probably fresh install)

Upstream fix in MM_06 commit 05a42261795f27c4ecd0c4444d6503114322c8b8.

Nobuto Murata (nobuto) wrote :
Marius B. Kotsbak (mariusko) wrote :

Could you please try to get a full stacktrace of the crash, e.g. by running modemmanager through gdb, or maybe these instructions ensures it:

https://wiki.ubuntu.com/DebuggingModemmanager

Changed in modemmanager (Ubuntu):
status: New → Incomplete
Nobuto Murata (nobuto) wrote :

Sorry, I failed to attach a .crash file (it might be due to bug #1071092).
I will manually attach the file.

Nobuto Murata (nobuto) wrote :
Marius B. Kotsbak (mariusko) wrote :

Japp, the crash might have been reported. But the stacktrace in the txt file is incomplete. Could you please run "apport-cli name_of_.crash_file" and select to have stacktrace filled out by installing debug symbols.

Nobuto Murata (nobuto) wrote :

In my environment, apport-cli exits silently.

I will attach debug logs of modem-manager and network-manager for now, and I will try to get full stacktrace.

=====

ubuntu@ubuntu:/var/crash$ sudo apport-cli _usr_sbin_modem-manager.0.crash

*** Send problem report to the developers?

After the problem report has been sent, please fill out the form in the
automatically opened web browser.

What would you like to do? Your options are:
  S: Send report (193.5 KB)
  V: View report
  K: Keep report file for sending later or copying to somewhere else
  I: Cancel and ignore future crashes of this program version
  C: Cancel
SPlease choose (S/V/K/I/C):

*** Collecting problem information

The collected information can be sent to the developers to improve the
application. This might take a few minutes.
..................................
ubuntu@ubuntu:/var/crash$

Nobuto Murata (nobuto) wrote :
Nobuto Murata (nobuto) wrote :
Marius B. Kotsbak (mariusko) wrote :

Ah ok, I think you need to install the package "apport-retrace" to get the options to investigate the crash locally.

Nobuto Murata (nobuto) wrote :

Thanks, I have attached the updated .crash file with apport-retrace. It contains full stacktrace now.

Changed in modemmanager (Ubuntu):
status: Incomplete → New
description: updated
Marius B. Kotsbak (mariusko) wrote :

Looks good. I wonder if this problem has been solved in the latest upstream version. Would you be able to test this PPA, containing the latest code?:

https://launchpad.net/~network-manager/+archive/trunk?field.series_filter=raring

Changed in modemmanager (Ubuntu):
status: New → Incomplete
Nobuto Murata (nobuto) wrote :

I faced a problem with PPA version.
==========
Nov 28 13:23:16 ubuntu modem-manager[2760]: <warn> Couldn't probe for capabilities, probably not a GSM or CDMA modem
==========

It was resolved in Bug #1071492. But PPA version might not have the patch for my device.

Nobuto Murata (nobuto) wrote :

I tried a new daily build 0.6.0.0.really+git201211281825.1195-0~pkg164~raring1.
And I can reproduce a crash with segfault.

Nobuto Murata (nobuto) wrote :
Changed in modemmanager (Ubuntu):
status: Incomplete → New
Nobuto Murata (nobuto) wrote :

Adding --log-level=DEBUG to modem-manager can avoid segfault and keep modem-manager running. But still no luck to connect au(KDDI). That might be a another bug that I should file next later.

Marius B. Kotsbak (mariusko) wrote :

Since you have verified that the problem is not solved upstream, could you please report an upstream bug report at:

https://bugzilla.gnome.org/enter_bug.cgi?product=NetworkManager

Mark component=ModemManager.

Changed in modemmanager (Ubuntu):
status: New → Confirmed

Nobuto:

Please run it under valgrind like this:

$> G_SLICE=always-malloc valgrind --log-file=valgrind.out /usr/sbin/modem-manager --debug

And send us back the valgrind.out log.

Nobuto Murata (nobuto) wrote :

@Aleksander

I will attach valgrind logs.

valgrind_with_debug.out:
    G_SLICE=always-malloc valgrind --log-file=valgrind.out /usr/sbin/modem-manager --debug

valgrind_without_debug.out:
    G_SLICE=always-malloc valgrind --log-file=valgrind.out /usr/sbin/modem-manager

====
modemmanager:
  Installed: 0.6.0.0.really+git201211281825.1195-0~pkg164~raring1

Nobuto Murata (nobuto) on 2012-11-29
Changed in modemmanager:
importance: Undecided → Unknown
status: New → Unknown
Nobuto Murata (nobuto) wrote :
Nobuto Murata (nobuto) wrote :

Attached valgrind logs were without -dbg packages, sorry.
I have re-uploaded those.

Changed in modemmanager:
importance: Unknown → Medium
status: Unknown → New

A fix for the memory errors was pushed to MM_06 upstream.

Marius B. Kotsbak (mariusko) wrote :

Nobuto, please test again when this patch goes into the PPA tomorrow. Do you know if Ubuntu Quantal and Precise have the same problem?

description: updated
Changed in modemmanager (Ubuntu):
status: Confirmed → Incomplete
Changed in modemmanager:
status: New → Fix Released
Nobuto Murata (nobuto) wrote :

I can confirm the crash is no longer reproducible with daily-build from upstream 0.6.0.0.really+git201212040418.1200-0~pkg164~raring1.

> Do you know if Ubuntu Quantal and Precise have the same problem?

I'm not sure. I will check that too.

Nobuto Murata (nobuto) wrote :

I can reproduce a crash in precise.
Note: I used a manually patched package for Bug #1071492, because it's not SRUed yet.
https://launchpadlibrarian.net/125443163/modemmanager_0.5.2.0-0ubuntu2_0.5.2.0-0ubuntu2ppa1.diff.gz

I will attach stacktrace and valgrind log.

Nobuto Murata (nobuto) wrote :
Nobuto Murata (nobuto) wrote :
Nobuto Murata (nobuto) wrote :

reproducible on quantal as well.

Nobuto Murata (nobuto) wrote :
tags: added: precise
Changed in modemmanager (Ubuntu):
status: Incomplete → Confirmed
tags: added: quantal
Nobuto Murata (nobuto) wrote :

The commit can avoid valgrind errors in precise as well.

Great, we'll just backport the same patch to precise if possible.

Targetting for SRU for Quantal/Precise.

Changed in modemmanager (Ubuntu Precise):
status: New → Triaged
Changed in modemmanager (Ubuntu Quantal):
status: New → Triaged
Changed in modemmanager (Ubuntu Precise):
importance: Undecided → Medium
Changed in modemmanager (Ubuntu Quantal):
importance: Undecided → Medium
Changed in modemmanager (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package modemmanager - 0.6.0.0.really-0ubuntu4

---------------
modemmanager (0.6.0.0.really-0ubuntu4) raring; urgency=low

  * debian/patches/git_cdma_double_free_05a4226.patch: cdma: avoid double free
    of GError (LP: #1083659)
  * debian/patches/git_ignore_arduino_aa84ce9.patch: properly ignore more
    arduino devices. (LP: #1153632)
  * debian/patches/git_ignore_west_mountain_radios_e608b17.patch: ignore West
    Mountain amateur radio systems. (LP: #1154654)
  * debian/patches/lp700316_usb_blacklist.patch: refreshed.
 -- Mathieu Trudel-Lapierre <email address hidden> Mon, 01 Apr 2013 11:07:37 -0400

Changed in modemmanager (Ubuntu):
status: Triaged → Fix Released
Rolf Leggewie (r0lf) wrote :

quantal has seen the end of its life and is no longer receiving any updates. Marking the quantal task for this ticket as "Won't Fix".

Changed in modemmanager (Ubuntu Quantal):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.